import java.util.*;

/**
 * Corpus is a sequence of sentences. The corpus has a name, and a list of Alignments.
 * @author Darko
 *
 */
public class Corpus {
	protected String name;
	protected Map<String, Sentence> sentences = new LinkedHashMap<String, Sentence> (); 
	protected List<Alignment> alignments = new LinkedList<Alignment> ();
	
	public Corpus() {}
	
	public Corpus(String name) {
		this.name = name;
	}
	
	public String getName() {
		return this.name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public Map<String, Sentence> getSentences() {
		return this.sentences;
	}
	
	public void setSentences(Map<String, Sentence> sentences) {
		this.sentences = sentences;
	}
	
	public List<Alignment> getAlignments() {
		return this.alignments;
	}

	public void setAlignments(List<Alignment> alignments) {
		this.alignments = alignments;
	}
	
	public String toString() {
		return this.name;
	}
}
